import request from '@/utils/request'

// 查询巡检轨迹列表
export function listInspectTaskTrail(query) {
  return request({
    url: '/park/inspectTaskTrail/list',
    method: 'get',
    params: query
  })
}

// 查询巡检轨迹详细
export function getInspectTaskTrail(id) {
  return request({
    url: '/park/inspectTaskTrail/' + id,
    method: 'get'
  })
}

// 新增巡检轨迹
export function addInspectTaskTrail(data) {
  return request({
    url: '/park/inspectTaskTrail',
    method: 'post',
    data: data
  })
}

// 修改巡检轨迹
export function updateInspectTaskTrail(data) {
  return request({
    url: '/park/inspectTaskTrail',
    method: 'put',
    data: data
  })
}

// 删除巡检轨迹
export function delInspectTaskTrail(id) {
  return request({
    url: '/park/inspectTaskTrail/' + id,
    method: 'delete'
  })
}
